DictObjCont Class Reference

Public class that represents a dictionary object container. More...

`#include <DictObjCont.h>`

Inheritance diagram for DictObjCont:
Collaboration diagram for DictObjCont:

## Public Member Functions

| DictObjCont (Serializer &ser, DicFile &dicFile, const string &blockName)
| ~DictObjCont ()
void | Build ()
UInt32 | Write ()
void | Read (UInt32 which, unsigned int Index=0)
const ObjCont & | GetObjCont (const string &contName, const ObjContInfo &objContInfo) const
void | Print ()
Public Member Functions inherited from ObjCont
| ObjCont (Serializer &ser, DicFile &dicFile, const string &blockName, const string &id, const ObjContInfo &objContInfo)
virtual | ~ObjCont ()
void | Init ()
const string & | GetName () const
const vector< string > & | GetAttribute (const string &catName, const string &itemName) const
void | Print () const
void | SetVerbose (bool verbose)

## Additional Inherited Members

Protected Member Functions inherited from ObjCont
void | BuildItems (vector< vector< string > > &combo, const unsigned int configIndex, const string &value)
Protected Attributes inherited from ObjCont
Serializer & | _ser
DicFile & | _dicFile
const ObjContInfo & | _objContInfo
string | _blockName
string | _id
bool | _verbose
vector< UInt32 > | _index
vector< vector< vector< string > > > | _itemsStore

## Detailed Description

Public class that represents a dictionary object container.

This class represents a dictionary object container, i.e., an object container of type "dictionary". A dictionary object container is a container of its attributes and of objects of type: item, sub-category and category. In addition to ObjCont features, this class has a method to get references to other object containers that it contains.

## Constructor & Destructor Documentation

DictObjCont::DictObjCont | ( | Serializer & | ser,
|  | DicFile & | dicFile,
|  | const string & | blockName
| ) |  |

Utility method, not part of users public API, and will soon be removed.

DictObjCont::~DictObjCont | ( | ) |  |

Utility method, not part of users public API, and will soon be removed.

## Member Function Documentation

void DictObjCont::Build | ( | ) |  |

virtual

Utility method, not part of users public API, and will soon be removed.

Reimplemented from ObjCont.

const ObjCont& DictObjCont::GetObjCont | ( | const string & | contName,
|  | const ObjContInfo & | objContInfo
| ) |  | const

Retrieves a reference to the generic object container, which is specified with its name and its type.

Parameters

  [in] | contName | - object container name
  [in] | objContInfo | - reference to the object container information, that defines object container's type. It can have the following values: RcsbItem - indicates that the object container is of type "item" RcsbSubcat - indicates that the object container is of type "sub-category" RcsbCat - indicates that the object container is of type "category"

Returns
  Reference to the generic object container

Precondition
  Object container with name contName must be present

Postcondition
  None

Exceptions

  NotFoundException | - if object container with name contName does not exist

void DictObjCont::Print | ( | ) |  |

Prints the content of the object container, which includes its attributes and the content of all the object containers that it contains.

Parameters

  | None

Returns
  None

Precondition
  None

Postcondition
  None

Exceptions

  | None

void DictObjCont::Read | ( | UInt32 | which,
|  | unsigned int | Index = `0`
| ) |  |

virtual

Utility method, not part of users public API, and will soon be removed.

Reimplemented from ObjCont.

UInt32 DictObjCont::Write | ( | ) |  |

virtual

Utility method, not part of users public API, and will soon be removed.

Reimplemented from ObjCont.

The documentation for this class was generated from the following file:

- rcsb/DictObjCont.h